Bug 86475 - New Ports: devel/sfslite-noopt and devel/sfslite-dbg; sfslite with different build options
New Ports: devel/sfslite-noopt and devel/sfslite-dbg; sfslite with different ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 19:00 UTC by krohn
Modified: 2005-11-29 23:59 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description krohn 2005-09-22 19:00:12 UTC
Shell archive included for new ports. Follow-on ports to the 
devel/sfslite port, for building with different build options. Won't conflict 
with devel/sfslite or each other. Trivial Makefiles that mainly call into
devel/sfslite/Makefile. 

Follow-up to: ports/86178
	
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/devel/sfslite-noopt/
#	/usr/ports/devel/sfslite-noopt/Makefile
#	/usr/ports/devel/sfslite-noopt/pkg-descr
#	/usr/ports/devel/sfslite-dbg/
#	/usr/ports/devel/sfslite-dbg/Makefile
#	/usr/ports/devel/sfslite-dbg/pkg-descr
#
echo c - /usr/ports/devel/sfslite-noopt/
mkdir -p /usr/ports/devel/sfslite-noopt/ > /dev/null 2>&1
echo x - /usr/ports/devel/sfslite-noopt/Makefile
sed 's/^X//' >/usr/ports/devel/sfslite-noopt/Makefile << 'END-of-/usr/ports/devel/sfslite-noopt/Makefile'
X# New ports collection makefile for:  sfslite-noopt
X# Date created:        22 September 2005
X# Whom:                max
X#
X# $FreeBSD$
X#
XBUILD_MODE =     shared
XMASTERDIR=       ${.CURDIR}/../sfslite
XCOMMENT=	"sfslite without optimization for debugging"
X
XPKG_INSTALL=     ${MASTERDIR}/pkg-install
X
X.include "${MASTERDIR}/Makefile"
END-of-/usr/ports/devel/sfslite-noopt/Makefile
echo x - /usr/ports/devel/sfslite-noopt/pkg-descr
sed 's/^X//' >/usr/ports/devel/sfslite-noopt/pkg-descr << 'END-of-/usr/ports/devel/sfslite-noopt/pkg-descr'
XSee ../sfslite/pkg-descr.  A build of the sfslite libraries with
Xwithout -O or -O2 build flags. Useful for finding bugs that show up
Xafter your application has been runnig for a while.  SFS is about 50%
Xslower without -O2, but sometimes optimized code makes for baffling
Xcore dumps.  This build of OKWS might be a reasonable compromise between
Xperformance (sfslite) and debugability (sfslite-dbg).
X
XMaintained as port of the OKWS distribution by Maxwell Krohn.
X
XWWW: http://www.okws.org
X
X- Max
Xports@okws.org
END-of-/usr/ports/devel/sfslite-noopt/pkg-descr
echo c - /usr/ports/devel/sfslite-dbg/
mkdir -p /usr/ports/devel/sfslite-dbg/ > /dev/null 2>&1
echo x - /usr/ports/devel/sfslite-dbg/Makefile
sed 's/^X//' >/usr/ports/devel/sfslite-dbg/Makefile << 'END-of-/usr/ports/devel/sfslite-dbg/Makefile'
X# New ports collection makefile for:  sfslite-dbg
X# Date created:        22 September 2005
X# Whom:                max
X#
X# $FreeBSD$
X#
XBUILD_MODE=      shdbg
XMASTERDIR=       ${.CURDIR}/../sfslite
XCOMMENT=	"sfslite with dmalloc and without optimization"
X
XLIB_DEPENDS+=	 dmalloc:${PORTSDIR}/devel/dmalloc
XPKG_INSTALL=     ${MASTERDIR}/pkg-install
X
X.include "${MASTERDIR}/Makefile"
END-of-/usr/ports/devel/sfslite-dbg/Makefile
echo x - /usr/ports/devel/sfslite-dbg/pkg-descr
sed 's/^X//' >/usr/ports/devel/sfslite-dbg/pkg-descr << 'END-of-/usr/ports/devel/sfslite-dbg/pkg-descr'
XSee ../sfslite/pkg-descr.  A build of the sfslite libraries with 
Xdmalloc debugging support (http://dmalloc.com) and without -O or
X-O2 build flags.  For debugging an application built with the 
XSFS libraries.
X
XMaintained as port of the OKWS distribution by Maxwell Krohn.
X
XWWW: http://www.okws.org
X
X- Max
Xports@okws.org
END-of-/usr/ports/devel/sfslite-dbg/pkg-descr
exit
Comment 1 Renato Botelho freebsd_committer 2005-09-29 17:30:53 UTC
Is there a reason to don't include these new options 
on sfslite port?

Cheers
--
Renato Botelho
Comment 2 Renato Botelho freebsd_committer 2005-09-29 17:31:02 UTC
State Changed
From-To: open->feedback

Ask submitter to add options on master port.
Comment 3 krohn 2005-10-04 05:41:04 UTC
Hi Renato,

Yes, there is a good reason.  For those of us who use the SFS
libraries to develop, we often want 3 different versions of the libraries
around simultaneously.  The default options (compile with -O2) make
code that runs much faster, perhaps twice as fast as compiling without
optimization.  However, optimized code is very frustrating to debug.  So
we often have debug builds of the software around.  Once a bug is fixed,
it's back to the standard build until the next bug shows up.

Along the same lines, running with DMALLOC enabled as in sfslite-dbg
really slows things down, but is very useful for tracking down
hard-to-find memory corruptions. It also has an extra dependency---
devel/dmalloc.

The ports are set up now in such a way that all 3 build modes can coexist
peacefully. Thus, the three ports have different package lists. I'm pretty
sure that doing them as one package with different options would mean one
set of libraries clobbering the other.

Pav and I discussed some of the issues after I intially submitted
devel/sfslite, and I think in the end he was convinced.

Thanks for your help.

Regards,
Max

On Thu, 29 Sep 2005, Renato Botelho wrote:

> Is there a reason to don't include these new options
> on sfslite port?
>
> Cheers
> --
> Renato Botelho
>
Comment 4 mnag freebsd_committer 2005-11-06 00:33:13 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 Edwin Groothuis freebsd_committer 2005-11-29 23:59:46 UTC
State Changed
From-To: open->closed

Committed, thanks!